### Method

# Clutter Transition set_animatable

#### Declaration [src]

    void
    clutter_transition_set_animatable (
      ClutterTransition* transition,
      ClutterAnimatable* animatable
    )

#### Description [src]

Sets the `ClutterTransition:animatable` property.

The `transition` will acquire a reference to the `animatable` instance, and will call the `Clutter.TransitionClass.attached` virtual function.

If an existing `ClutterAnimatable` is attached to `transition`, the reference will be released, and the `Clutter.TransitionClass.detached` virtual function will be called.

Sets property | `Clutter.Transition:animatable`

#### Parameters

`animatable`

  Type: `ClutterAnimatable`

  A `ClutterAnimatable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.